aide (0.19.1-2ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: bypass AIDE detection of malicious files
    - d/p/CVE-2025-54389.patch: fix output neutralization.
    - CVE-2025-54389
  * SECURITY UPDATE: Denial of service
    - d/p/CVE-2025-54409.patch: fix null pointer dereference and segfault
    - CVE-2025-54409

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 11 Aug 2025 11:45:46 +0200

aide (0.19.1-2) unstable; urgency=medium

  * improve rules:
    * 31_aide_ssh-agent: get logic right
    * 31_aide_apt-cacher-ng: fix wrong regexps
    * 10_aide_checksums: put parens around the regexps
    * 31_aide_borgbackup, 31_aide_dokuwiki: get rid of }} bugs
    * 31_aide_apt-cacher-ng: numbers have become longer
    * refrain from using dpkg-architecture and its output.
  * remove wrong entry from 0.19.1-1 changelog

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 Jul 2025 16:37:12 +0200

aide (0.19.1-1) unstable; urgency=medium

  * upload to unstable
  * new upstream version 0.19.1
    * Fix race condition when adding new nodes during file system scan
  * new helper rule 10_aide_hardware defining hardware bus addresses
  * improve:
    * 31_aide_apt: use DEB_HOST_ARCH
    * 31_aide_console-setup
    * 31_aide_dev
    * 31_aide_lvm2
    * 31_aide_libvirt
    * 10_aide_lvm_needsroot
    * 31_aide_udev

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 08 Jul 2025 14:26:01 +0200

aide (0.19-2+exp1) experimental; urgency=medium

  * add portuguese debconf translation.
    Thanks to Américo Monteiro (Closes: #1107446)
  * aide.conf:
    * remove aide 0.18 specific comments
    * Add PidFile and LogDir
  * 98_aide_vfat: automated special handling of vfat partitions.
    * 31_aide_grub-efi and test 02-aide-path-check adapted accordingly.
  * improved pre-definition rules:
    * 10_aide_constants: define PORTNUMBER
    * 10_aide_run: define RUNUSER
  * new pre-definition rules:
    * 10_aide_basenotations: BASE64 etc
    * 10_aide_bits: number ranges for binary numbers
    * 10_aide_checksums: matching md5 sha256 checksums etc
    * 10_aide_dateformats: defines generic dates in many formats
    * 10_aide_usersuids: defines UIDs and user names with blacklist
    * 11_aide_dateformats_cury: defines dates in the current era in many
      formats
    * 11_aide_majorminor: defines major:minor device numbers
  * LVM handling: define names and UUIDs of volumes
  * Establish mechanism to run rule generators as root
  * new rules:
    * 10_aide_uuid
    * 31_aide_colord
    * 31_aide_git-annex
    * 31_aide_qemu-guest-agent
  * improve rules:
    * 10_aide_bootid
    * 10_aide_machineid
    * 31_aide_dev: use STRICTUUID
    * 31_aide_icinga2: use RELAXEDUUID
    * 31_aide_lastlog
    * 31_aide_udev: use STRICTUUID
    * 31_aide_systemd_journald: model journal file names better
    * 31_aide_wtmpdb
  * get rid of deprecated RamdiskData definition
    * 70_aide_dev
  * adapt to new log management:
    * 31_aide_acpid
    * 31_aide_apache2
    * 31_aide_apcupsd
    * 31_aide_aptitude
    * 31_aide_checksecurity
    * 31_aide_clamav
    * 31_aide_clamav-unofficial-sigs
    * 31_aide_freshclam
    * 31_aide_exim4_logs
    * 31_aide_haproxy
    * 31_aide_inn2
    * 31_aide_libvirt
    * 31_aide_netdata
    * 31_aide_privoxy
    * 31_aide_proftpd
    * 31_aide_rkhunter
    * 31_aide_rsnapshot
    * 31_aide_samba
    * 31_aide_sniproxy
    * 31_aide_squid
    * 31_aide_tiger
    * 31_aide_tt-rss
  * generic improvements to rules, use predefined regexps etc:
    * 31_aide_apt-cacher-ng
    * 31_aide_atop
    * 31_aide_bind9
    * 31_aide_borgbackup
    * 31_aide_cron-apt
    * 31_aide_cups
    * 31_aide_dbus
    * 31_aide_dehydrated
    * 31_aide_dev
    * 31_aide_dokuwiki
    * 31_aide_git-annex
    * 31_aide_gnupg
    * 31_aide_icinga2
    * 31_aide_initramfs-tools
    * 31_aide_irqbalance
    * 31_aide_lvm2
    * 31_aide_network
    * 31_aide_oidentd
    * 31_aide_openvpn
    * 31_aide_php-common
    * 31_aide_postgresql-15
    * 31_aide_runuser
    * 31_aide_samba
    * 31_aide_ssh-agent
    * 31_aide_ssh-server
    * 31_aide_sudo
    * 31_aide_systemd
    * 31_aide_systemd-journald
    * 31_aide_systemd-networkd
    * 31_aide_udev
    * 31_aide_wtmp
    * 70_aide_dev
  * add help requests to rules:
    * 31_aide_acpid
    * 31_aide_amanda-serve
  * remove rules
    * remove 10_aide_prevyear (covered in 10_aide_year)
    * remove 31_aide_openvpn-server (covered in 31_aide_openvpn)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 19 Jun 2025 17:22:57 +0200

aide (0.19-2) unstable; urgency=medium

  * new rule 31_aide_wtmpdb
  * improve rules:
    * 31_aide_postgresql-15
    * 31_aide_samba
    * 31_aide_gnupg
    * 31_aide_fwupd
    * 21_aide_php-version
    * 31_aide_mariadb
    * 31_aide_ssh-agent

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 03 May 2025 14:48:54 +0200

aide (0.19-1) unstable; urgency=medium

  * new upstream release (Closes: #257134)
    * document incompatibility regarding unrestridcted negative rules
    * adapt autopkgtest to new negative rule behavior
    * adapt 70_aide_proc_sys to new incompatible semantics
  * improve 31_aide_samba

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 06 Apr 2025 14:29:00 +0200

aide (0.18.8-3) unstable; urgency=medium

  [ Marc Haber ]
  * improve rules:
    * 31_aide_runuser
    * 31_aide_systemd-cron
    * 31_aide_apt
  * Standards-Version: 4.7.2 (no changes necessary)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.
    Thanks to Carles Pina i Estany <carles@pina.cat> (Closes: #1101638)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 02 Apr 2025 07:23:55 +0200

aide (0.18.8-2) unstable; urgency=medium

  * new rules:
    * 31_aide_debsums
    * 31_aide_selinux
    * 31_aide_fwupd
    * 10_aide_bootid defining macro for current boot id
    * 10_aide_days adding macros for today, yesterday
      and the day before
  * improve rules:
    * 31_aide_udev
    * 31_aide_systemd-cron
    * 31_aide_systemd
    * 31_aide_ssh-server
    * 31_aide_rsyslog
    * 31_aide_netdata
    * 31_aide_grub-efi
    * 31_aide_exim4
    * 31_aide_dokuwiki
    * 31_aide_aptitude
    * 10_aide_machineid
    * 31_aide_postgresql-15
    * 31_aide_runuser
    * 31_aide_apt
    * 31_aide_spamassassin (use bootid)
  * 10_aide_sourceslist: fix bug regarding subdirs in /etc/apt/sources.list.d
    (Closes: #1076667)
  * cherry-pick upstream fix: Move failed JIT compilation log message
    to DEBUG level. Thanks to Matthew Vernon (Closes: #1087721)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 25 Nov 2024 09:32:31 +0100

aide (0.18.8-1) unstable; urgency=medium

  [ Marc Haber ]
  * new upstream version 0.18.8
    * (Closes: #1070805)
  * add ActiveDir to aide.conf
  * 10_aide_constants: add IP6ADDRESSU with _ instead of :
  * improve PHP rules: 31_aide_php, 31_aide_php-fpm. remove 31_aide_php7
    Thanks to Frederik Himpe (Closes: #1060222)
  * rule improvements:
    * 31_aide_apt: InRelease files sometimes change their ACL
    * 31_aide_apt-cacher-ng: various improvements
    * 31_aide_exim4: new spool file regexp
    * 31_aide_exim4_logs: more flexibility
    * 31_aide_grub-efi
    * 31_aide_man: CACHEDIR.TAG may vanish in newer versions of man-db
    * 31_aide_munin: munin-update.stats
    * 31_aide_redis: more flexibility
    * 31_aide_runuser: systemd os-release files
    * 31_aide_samba
    * 31_aide_sniproxy: reference sniproxy bug report
    * 31_aide_spamassassin
    * 31_aide_sudo: in unstable, the sudo ts file is named after numeric uid
    * 31_aide_systemd: systemd os-release files
    * 31_aide_systemd_journald: system.journal changes acl in operation
    * 31_aide_udev
  * Move touched rules to leading space notation

  [ Hannes von Haugwitz ]
  * Switch Build-Depends from pkg-config to pkgconf
  * Bump to Standards-Version 4.7.0 (no changes)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 15 May 2024 17:20:33 +0200

aide (0.18.6-2) unstable; urgency=medium

  * the last version was accidentally uploaded with a not
    yet released warning in changelog.
  * adapt spamassassin rule for bookworm
  * Recommend cron | cron-daemon.
    Thanks to Alexandre Detiste (Closes: #1052487)
  * improve rules:
    * 10_aide_hostname
    * 31_aide_apt-cacher-ng
    * 31_aide_dpkg
    * 31_aide_grub
  * fix typo in 31_aide_munin
  * re-work mail sending in dailyaidecheck.
  * rename aide cron job to dailyaidecheck

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 04 Oct 2023 18:14:42 +0200

aide (0.18.6-1) unstable; urgency=medium

  * New upstream version 0.18.6
    * Improve handling of ACL errors
    * Fix double free() during report generation
  * Use mail(1) if called from cron via capsh.
    Thanks to Guillem Jover (Closes: #1032387)
  * robustness changes in shell scripts
  * update postgresql rule for postgresql 15
  * new rules:
    * munin-node
    * haveged
  * remove obsolete roles:
    * mailman 2
  * rule improvements:
    * 31_aide_atop: add proper restrictions
    * 31_aide_rsyslog: do not try to unset an already unset variable
    * systemd-journald
    * 31_aide_apt
    * 31_aide_apt-cacher-ng
    * 31_aide_borgbackup
    * 31_aide_cereal
    * 31_aide_clamav-unofficial-sigs
    * 31_aide_cron-apt
    * 31_aide_dev
    * 31_aide_dokuwiki
    * 31_aide_dovecot
    * 31_aide_icinga2
    * 31_aide_inn2
    * 31_aide_libvirt
    * 31_aide_lvm2
    * 31_aide_munin
    * 31_aide_openvpn
    * 31_aide_php-fpm
    * 31_aide_rsyslog
    * 31_aide_runuser
    * 31_aide_screen

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 01 Jul 2023 13:26:22 +0200

aide (0.18.5-1) unstable; urgency=medium

  * New upstream version 0.18.5
    * Fix broken handling of equals rules. Closes: #1039936

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 26 Jun 2023 21:53:51 +0200

aide (0.18.4-1) unstable; urgency=medium

  * New upstream version 0.18.4
  * remove unneeded patch

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 14 Jun 2023 16:51:49 +0200

aide (0.18.3-2) unstable; urgency=medium

  * improve 31_aide_atop rule
  * call dh_installsysusers manually in debian/rules
    Thanks to Tomasz Ciolek (Closes: #1037171)
  * Fix handling of extended attributes on symlinks. (Closes: #1037436)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 14 Jun 2023 16:48:04 +0200

aide (0.18.3-1) unstable; urgency=medium

  * New upstream version 0.18.3
    * Fix handling of readlink() errors.
      Thanks to Thomas Dorner (Closes: #1034816)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 20 Apr 2023 23:50:04 +0200

aide (0.18.2-1) unstable; urgency=medium

  * New upstream version 0.18.2

  [ Marc Haber ]
  * fix broken log handling in 31_aide_redis
  * improve 31_aide_haproxy
  * move dailyaidecheck to 01:50
  * Process aide.db itself as VarFile+ANF.

  [ Guillem Jover ]
  * Add new 31_aide_bandwidthd rules
  * Add new 31_aide_awstats rules
  * Add new 31_aide_greylistd rules
  * improve rule 21_aide_spamassassin.
  * improve rule 31_aide_clamav-unofficial-sigs.
  * improve 31_aide_samba.
  * Update 31_aide_dpkg rules

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 20 Apr 2023 18:52:45 +0200

aide (0.18.1-2) unstable; urgency=medium

  * initialize AIDEUSER with what we actually run as.  (Closes: #1033044)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 16 Mar 2023 10:58:22 +0100

aide (0.18.1-1) unstable; urgency=medium

  [ Marc Haber ]
  * New upstrem version 0.18.1:
    * Fix segfault when using --dry-init
    * Fix handling of empty growing files
  * remove patch empty-logs (incorporated upstream)
  * pull upstream patch to Adjust log messages about inode comparison
  * fix syntax error in aide-common.postinst error message
  * fix log handling for aide itself
  * new romanian translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1031135)
  * new rules:
    * 31_aide_nginx
    * 31_aide_oidentd
  * updated rules:
    * 31_aide_atop
    * 31_aide_dev
    * 31_aide_dmeventd
    * 31_aide_fail2ban
    * 31_aide_inn2
    * 31_aide_lvm2
    * 31_aide_mariadb
    * 31_aide_netdata
    * 31_aide_postgresql-13
    * 31_aide_util-linux
    * 31_aide_uuidd-runtime
  * general rule changes:
    * fix \\
    * modernize log handling
  * use dh_installsysusers instead of manual approach.
    Thanks to Guillem Jover
  * fix postinst to also chown aideinit logs.
    This partly addresses #1032381
    Thanks to Guillem Jover
  * Mention libcap2-bin in README.Debian as source for capsh.
    Thanks to Guillem Jover
  * Improve docs about mails sending behavior
    Thanks to Guillem Jover
  * dailyaidecheck:
    * call dotlockfile from lock directory.
    * shut up s-nail under capsh
    * add README references error messages

  [ Hannes von Haugwitz ]
  * debian/watch: use Github API
  * Update debian/copyright

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 14 Mar 2023 22:35:45 +0100

aide (0.18-2) unstable; urgency=medium

  * fix autopkgtest dependencies
  * remove unnecessary autopkgtest for aide-dynamic
  * reword daily cron job to dailyaidecheck
  * remove second set of autopkgtest (was for aide-dynamic)
  * aide.conf: remove accidental leftover
  * README.Debian:
    * improve non-root documentation
    * improve logging documentation
    * improve documentation about daily report mails
    * move documentation from defaults file to README

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 07 Feb 2023 21:31:45 +0100

aide (0.18-1) unstable; urgency=medium

  * new upstream release 0.18
    * Support multithreading for hashsum calculation
    * Switch from PCRE to PCRE2 (Closes: #1000018)
    * Remove bashism in configure.ac
      Thanks to Andrej Shadura (Closes: #998766)
    * 'S' attribute is now deprecated, use 'growing+s' attributes instead
    * '@@ifdef', macro is now deprecated, use '@@if defined' instead
    * '@@ifndef', macro is now deprecated, use '@@if not defined' instead
    * '@@ifhost', macro is now deprecated, use '@@if hostname' instead
    * '@@ifnhost', macro is now deprecated, use '@@if not hostname' instead
    * Add new 'growing' attribute
    * Add new 'compressed' attribute
    * Add new log level 'compare'
    * Replace 'S' attribute in '>' compound group with 'growing+s'
    * Add 'report_format' option (available formats: `plain`, `json`)
    * Add @@if macro
    * Add 'exists' boolean function (Closes: #699422)
    * Add 'config_check_warn_unrestricted_rules' option
    * Support restricted rules with empty restriction
    * Add prefix option to directory include macros
    * Add exit code 22 for memory allocation errors
    * Update e2fs attributes to match upstream
      - the 'h' attribute has been removed
      - use `report_ignore_e2fsattrs=VNIE` to ignore read only attributes
    * Improve logging
    * Improve error messages during config parsing
    * Update documentation
  * integrate experimental changes to unstable
  * update lintian overrides
  * drop aide-xen
  * update README.Debian
  * move bsd-mailix | mailx to Suggests, add s-nail as option
  * aide.conf:
    * update documentation
    * use report_ignore_e2fsattrs=VNIE
    * document default values, keep unchanged options commented
    * remove documentation about logs, it has moved upstream to aide.conf(5)
  * ongoing change processes:
    * use new log handling
    * change variable names to prefix package name
    * undefine variables after use
  * improved and updated rules:
    * 20_aide_run_systemd-journald
    * 31_aide_apache2-fcgid
    * 31_aide_apt
    * 31_aide_apt-cacher-ng
    * 31_aide_asterisk
    * 31_aide_borgbackup
    * 31_aide_btmp
    * 31_aide_cereal
    * 31_aide_dbus
    * 31_aide_debspawn
    * 31_aide_dev
    * 31_aide_dpkg
    * 31_aide_e2fsprogs
    * 31_aide_etckeeper
    * 31_aide_exim4
    * 31_aide_exim4_logs
    * 31_aide_gnupg
    * 31_aide_grub-efi
    * 31_aide_icinga2
    * 31_aide_inn2
    * 31_aide_irqbalance
    * 31_aide_libvirt
    * 31_aide_lighttpd
    * 31_aide_lvm2
    * 31_aide_man
    * 31_aide_mariadb
    * 31_aide_nginx
    * 31_aide_ntpsec
    * 31_aide_openvpn-server
    * 31_aide_php-fpm
    * 31_aide_postfix
    * 31_aide_postgresql-13
    * 31_aide_redis
    * 31_aide_rsyslog
    * 31_aide_runuser
    * 31_aide_run_systemd_resolve
    * 31_aide_samba
    * 31_aide_screen
    * 31_aide_smokeping
    * 31_aide_spamassassin
    * 31_aide_sudo
    * 31_aide_syslog
    * 31_aide_systemd
    * 31_aide_systemd-journald
    * 31_aide_systemd-resolved
    * 31_aide_systemd-timesyncd
    * 31_aide_udev
    * 31_aide_util-linux
    * 31_aide_uuidd-runtime
    * 31_aide_wtmp
  * update README.Debian:
    * reporting
    * remove paragraph about mmap errors
  * install SECURITY.md

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 07 Feb 2023 06:21:12 +0100

aide (0.17.4.1.20230124-1) experimental; urgency=medium

  * package upstream git snapshot taken on 2023-01-24
  * rework aide.conf for 0.18
  * mark deliberately unrestricted rules with the 0 restriction
  * aide 0.18 will have new functionality for log handling
    * adapt aide.conf, define new groups
    * use new log handling in some rules:
      * 31_aide_exim4_logs
      * 31_aide_libvirt
      * 31_aide_lighttpd
      * 31_aide_rsyslog
      * 31_aide_samba
  * new rules:
    * 31_aide_netdata
    * 31_aide_schroot
    * 31_aide_uuidd-runtime
  * improved rules:
    * 20_aide_run_systemd-journald
    * 31_aide_btmp
    * 31_aide_dbus
    * 31_aide_debspawn
    * 31_aide_dev
    * 31_aide_e2fsprogs
    * 31_aide_exim4
    * 31_aide_gnupg
    * 31_aide_grub-efi
    * 31_aide_irqbalance
    * 31_aide_libvirt
    * 31_aide_lighttpd
    * 31_aide_lvm2
    * 31_aide_man
    * 31_aide_netdata
    * 31_aide_ntpsec
    * 31_aide_postfix
    * 31_aide_run_systemd_resolve
    * 31_aide_runuser
    * 31_aide_samba
    * 31_aide_sudo
    * 31_aide_systemd
    * 31_aide_systemd-journald
    * 31_aide_systemd-resolved
    * 31_aide_udev
    * 31_aide_util-linux
    * 31_aide_wtmp
  * Standards-Version: 4.6.2 (no changes necessary)
  * postinst: ignore error messages from chmod and chown
    (files do not need to exist)
  * update README.Debian

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 24 Jan 2023 14:19:06 +0100

aide (0.17.4.1.20220903-1) experimental; urgency=medium

  * New upstream snapshot 0.17.4.1.20220903
  * use a systemd timer instead of cronjob on systemd systems
  * run daily cron job with capsh if available
  * dailyaidecheck:
    * remove -V4 from default AIDEARGS
    * run with capabilities as non-root
    * add setting MAILCMD according to mail or s-nail being available
    * have aide write the report directly to a file instead of
      redirecting output
    * move work directory to /var/lib/aide
  * aideinit:
    * run with capabilities as non-root
    * re-work code logic, use more functions
  * improve lintian overrides
  * mark deliberately unrestricted rules with the 0 restriction
  * update README.Debian

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 03 Sep 2022 22:49:41 +0200

aide (0.17.4.1.20220815-1) experimental; urgency=medium

  [ Marc Haber ]
  * New upstream snapshot 0.17.4.1.20220815
  * add autoconf-archive to Build-Depends
  * improve 31_aide_apt-cacher-ng rule
  * improve 31_aide_borgbackup rule
  * improve 31_aide_dev rule
  * improve 31_aide_etckeeper rule
  * improve 31_aide_mariadb rule
  * improve 31_aide_ntpsec rule
  * improve 31_aide_php-fpm rule
  * improve 31_aide_postgresql-13 rule
  * improve 31_aide_redis rule
  * improve 31_aide_rsyslog rule
  * improve 31_aide_screen rule
  * improve 31_aide_smokeping rule
  * improve 31_aide_systemd rule
  * improve 31_aide_systemd-journald rule
  * improve 31_aide_systemd-timesyncd rule
  * improve 31_aide_udev rule
  * improve 31_aide_apache2-fcgid rule
  * improve 31_aide_nginx rule
  * update aide.conf

  [ Hannes von Haugwitz ]
  * Update debian/copyright

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 14 Aug 2022 23:41:51 +0200

aide (0.17.4.1.20220724-1) experimental; urgency=medium

  * New upstream snapshot 0.17.4.1.20220724
  * This fixes a crippling bug in rule evaluation

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 25 Jul 2022 06:21:43 +0200

aide (0.17.4.1.20220711-2) experimental; urgency=medium

  * Build-Depend on libpcre2-dev (newer library)
  * replace @@ifn?def with @@if (not)? defined in rules

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 12 Jul 2022 11:19:31 +0200

aide (0.17.4.1.20220711-1) experimental; urgency=medium

  [ Marc Haber ]
  * New upstream snapshot 0.17.4.1.20220711
  * adapt debian/copyright: removed files, new year
  * remove empty directory from aide-common.dirs and packages
  * default configuration: new value for report_ignore_e2fsattrs
  * adapt lintian overrides, explain them
  * fix $HOSTNAME bashism
  * New upstream version 0.17.4.1.20220711dd
  * 31_aide_apt: add vim helper line
  * 31_aide_apt: improve debug output
  * 31_aide_apt: handle sources.list files without ending newline.
    Thanks to Lilo von Hanffstengel (Closes: #1008277)
  * improve samba rule
  * fix wrong comment in 31_aide-postgresql-ad
  * 31_aide_cups, re-introduce accidentally removed @@LOGEXT
  * 31_aide_pp-fpm, allow PHPVERSION to be overridden
  * 31_aide_tlp, use RUN
  * rename ntp-server to ntpsec, adapt rule

  [ Adam Jacobs ]
  * 21_aide_spamassassin: improve version number detection

  [ Hannes von Haugwitz ]
  * 31_aide_amanda-server: fix handling of empty and comment lines
    (Closes: #1011957)
  * Bump to Standards-Version 4.6.1 (no changes)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 12 Jul 2022 06:29:32 +0200

aide (0.17.4-2) unstable; urgency=medium

  [ Anton Shestakov ]
  * escape dot character in 31_aide_ssh-server
  * treat /run/sshd as a directory that's recreated on reboot
  * remove 31_aide_sshd rule (covered by 31_aide_ssh-server)
  * new 31_aide_ufw rule
  * escape dot character in .pid
  * ignore inode of directories in @@{RUN}
  * acpid: separate .pid and .socket, ignore .socket
  * chrony: add .pid, .sock and the two dirs in /run/
  * fail2ban: separate .pid and .sock, ignore .sock
  * fail2ban: add fail2ban.sqlite3 as a VarFile

  [ Marc Haber ]
  * improve 31_aide_locales
  * improve 31_aide_man
  * improve 31_aide_samba
  * improve 31_aide_spamassassin
  * add new 31_aide_postgresql-13
  * improve 31_aide_apt-cacher-ng
  * improve 31_aide_cups
  * improve 31_aide_libvirt-bin
  * improve 31_aide_php-fpm
  * improve 31_aide_systemd
  * improve 31_aide_tlp
  * improve 31_aide_udev
  * rename 31_aide_libvirt-bin -> 31_aide_libvirt
  * prepare to introduce systemd timers:
    * move former cron script to /usr/share/aide/bin
    * cron job script now accepts a parameter to know who called it
  * new cron job script
  * more lintian overrides
  * remove Built-Using from binary packages
  * remove redundant Priority fields

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 24 Mar 2022 09:54:59 +0100

aide (0.17.4-1) unstable; urgency=medium

  * new upstream release
    * this fixes CVE-2021-45417
  * fix stupid typo in 31_aide_spamassassin (Closes: #1003563)
  * more improvements for 31_aide_Spamassassin

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 30 Dec 2021 22:45:57 +0100

aide (0.17.3-6) unstable; urgency=medium

  * document changelog error:
    the aide-static package was removed before 0.17.3-5 was released.
    See README.Debian.
  * document changelog error, no static binary any more
  * Standards-Version: 4.6.0 (no changes)
  * add check to Build-Depends
  * set PATH for executable config files
  * improve various aide rules
  * add various aide rules
  * Update Spamassassin version number.
    Thanks to Rimas Kudelis (Closes: 996875)
  * Make it easier to override spamassassin version number.
    Thanks to Rimas Kudelis (Closes: 996875)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 30 Dec 2021 20:59:19 +0100

aide (0.17.3-5) unstable; urgency=medium

  * the default is now a dynamically linked binary
    * move aide to aide-static
    * move aide-dynamic to aide
    * make aide-dynamic a transitional package
    * update autopkgtest
  * packaging:
    * add versioned dependency for e2fsprogs (#986332)
    * run wrap-and-sort
    * remove -X workaround as #986332 is fixed now
    * enable basic salsa CI
    * remove version from libext2fs-dev build-depends
    * update debian/copyright
    * move lintian files to *.lintian-overrides
    * some lintian override tweaking
    * some changes to autopkgtests
  * rules:
    * fix wrong \\n in 31_aide_munin-node.
      Thanks to Jochen Pawletta (Closes: #994168)
    * stop checking for /run/aide

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 10 Dec 2021 18:49:51 +0100

aide (0.17.3-4) unstable; urgency=medium

  * Debian has switched to keeping only 4 rotations of syslog instead of 7.
    See rsyslog@651236c2. Thanks to Adam Jacobs (Closes: #989044)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 13 May 2021 23:11:32 +0200

aide (0.17.3-3) unstable; urgency=medium

  * move log rotation compression suffix to a variable
  * add missing + in regexp in 31_aide_systemd_sessions
  * add code to remove x bit from 31_aide_sudo.
    Thanks to Adam L Jacobs (Closes: 988438)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 13 May 2021 21:43:41 +0200

aide (0.17.3-2) unstable; urgency=low

  * small fixes to rules:
    - 10_aide_year
    - 31_aide_postgresql
    - 31_aide_systemd
    - 31/70_aide_dev
    - 31_aide_udev
    - 31_aide_lvm2
    - 31_aide_openvpn-server
    - 31_aide_postgresql
  * small fixes in cron Job:
    - process "no lock" error from aide
    - re-word and clarify some error message
    - give more information about cronjob internal errors
    - use a better name for the temporary file
  * small fixes in build process:
    - use dpkg/default.mk
    - remove unused buildpackage variable
    - straighten COMMON_CONFIGURE_ARGS to a define
    - set DPKG_EXPORT_BUILDFLAGS
    - strip configure args
    - dpkg-buildflags use export=cmdline instead of export=configure

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 05 Apr 2021 10:07:37 +0200

aide (0.17.3-1) unstable; urgency=medium

  * New upstream version 0.17.3
  * 31_aide_dev: improvements
  * 31_aide_man: add uk manpages
  * new portuguese translation.
    Thanks to Miguel Figueiredo

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 11 Feb 2021 07:05:56 +0100

aide (0.17.2-2) unstable; urgency=medium

  * remove x bits from unchanged 31_aide_smokeping
  * fix obvious errors in:
    * 31_aide_exim4_exiscan
    * 31_aide_icinga2
    * 31_aide_php-fpm
    * 31_aide_systemd-journald

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 07 Feb 2021 09:24:57 +0100

aide (0.17.2-1) unstable; urgency=medium

  [ Marcin Owsiany ]
  * Add missing copyright and license information to pl.po

  [ Marc Haber ]
  * new upstream version 0.17.2
  * update debian/copyright (polish translation)
  * create /run/aide on boot, handle the directory
  * improve rules:
    * 31_aide_console-log
    * 31_aide_systemd
    * 31_aide_systemd_journal
  * fix PCRE quoting:
    * 10_aide_constants
    * 10_aide_machineid
    * 21_aide_run_agetty
    * 31_aide_acpid
    * 31_aide_alsa
    * 31_aide_amanda-client
    * 31_aide_amavisd-new
    * 31_aide_anacron
    * 31_aide_anubis
    * 31_aide_apache2
    * 31_aide_apcupsd
    * 31_aide_apt-cacher-ng
    * 31_aide_apt-listbugs
    * 31_aide_apt-listchanges
    * 31_aide_aptitude
    * 31_aide_at
    * 31_aide_atop
    * 31_aide_bind9
    * 31_aide_boinc-client
    * 31_aide_borgbackup
    * 31_aide_btmp
    * 31_aide_cereal
    * 31_aide_checksecurity
    * 31_aide_chrony
    * 31_aide_clamav
    * 31_aide_clamav-freshclam
    * 31_aide_clamav-unofficial-sigs
    * 31_aide_courier-authlib
    * 31_aide_cracklib-runtime
    * 31_aide_cron
    * 31_aide_cron-apt
    * 31_aide_cups
    * 31_aide_ddclient
    * 31_aide_debconf
    * 31_aide_dehydrated
    * 31_aide_dev
    * 31_aide_dlocate
    * 31_aide_dokuwiki
    * 31_aide_dovecot
    * 31_aide_e2fsprogs
    * 31_aide_etckeeper
    * 31_aide_exim4
    * 31_aide_exim4_logs
    * 31_aide_fail2ban
    * 31_aide_fake-hwclock
    * 31_aide_fcron
    * 31_aide_gnupg
    * 31_aide_hald
    * 31_aide_haproxy
    * 31_aide_hapsd
    * 31_aide_ifplugd
    * 31_aide_inetd
    * 31_aide_initramfs-tools
    * 31_aide_initscripts
    * 31_aide_isc-dhcp-client
    * 31_aide_isc-dhcp-server
    * 31_aide_kerberos
    * 31_aide_laptop-mode-tools
    * 31_aide_libapache2-mod-fastcgi
    * 31_aide_libvirt-bin
    * 31_aide_lighttpd
    * 31_aide_lldpd
    * 31_aide_logcheck
    * 31_aide_logrotate
    * 31_aide_lpd
    * 31_aide_lvm2
    * 31_aide_mailman
    * 31_aide_man
    * 31_aide_mdadm
    * 31_aide_mini-buildd
    * 31_aide_mlocate
    * 31_aide_modules
    * 31_aide_munin
    * 31_aide_mysql-server
    * 31_aide_network-manager
    * 31_aide_nfs
    * 31_aide_nrpe
    * 31_aide_nscd
    * 31_aide_nslcd
    * 31_aide_ntp-server
    * 31_aide_openvpn
    * 31_aide_openvpn-server
    * 31_aide_pam_motd
    * 31_aide_pcscd
    * 31_aide_php-common
    * 31_aide_portmap
    * 31_aide_postfix
    * 31_aide_postgresql
    * 31_aide_postgrey
    * 31_aide_proftpd
    * 31_aide_resolvconf
    * 31_aide_rkhunter
    * 31_aide_rngd
    * 31_aide_root-dotfiles
    * 31_aide_rsnapshot
    * 31_aide_rsyslog
    * 31_aide_run_systemd_resolve
    * 31_aide_run_tmpfiles
    * 31_aide_runuser
    * 31_aide_samba
    * 31_aide_saslauthd
    * 31_aide_screen
    * 31_aide_slapd
    * 31_aide_slrn
    * 31_aide_smartmontools
    * 31_aide_smokeping
    * 31_aide_snmpd
    * 31_aide_spamassassin
    * 31_aide_squid
    * 31_aide_ssh-agent
    * 31_aide_syslog-ng
    * 31_aide_systemd-resolved
    * 31_aide_systemd_sessions
    * 31_aide_tiger
    * 31_aide_tt-rss
    * 31_aide_unbound
    * 31_aide_vsftpd
    * 31_aide_webalizer
    * 31_aide_wpasupplicant
    * 31_aide_wtmp
    * 31_aide_x11-common
    * 31_aide_xdm
    * 70_aide_run
    * 70_aide_tmp
  * improve rules:
    * 10_aide_distribution
    * 10_aide_hostname
    * 10_aide_year
    * 30_inn2_vars
    * 31_aide_aide
    * 31_aide_amanda-server
    * 31_aide_apt-cacher-ng
    * 31_aide_apt
    * 31_aide_cereal
    * 31_aide_console-log
    * 31_aide_cups
    * 31_aide_dovecot
    * 31_aide_dpkg
    * 31_aide_exim4
    * 31_aide_inn2
    * 31_aide_lighttpd
    * 31_aide_lvm2
    * 31_aide_mailman
    * 31_aide_mini-buildd
    * 31_aide_munin-node
    * 31_aide_smokeping
    * 31_aide_svn-server
    * 31_aide_systemd
    * 31_aide_systemd-cron
    * 31_aide_systemd-networkd
    * 31_aide_torrus
    * 31_aide_trac
    * 31_aide_udev
    * 31_aide_util-linux
  * fix shellcheck warnings:
    * 31_aide_trac
    * 31_aide_torrus
    * 31_aide_svn-server
    * 31_aide_munin
  * new rules:
    * 31_aide_exim4_exiscan
    * 31_aide_icinga2
    * 31_aide_php-fpm
    * 31_aide_sniproxy
    * 31_aide_systemd-journald
  * remove obsolete 31_aide_apache (apache 1.3)
  * remove accidental local data from 31_aide_borgbackup
  * fix documentation typo in 31_aide_dehydrated
  * exclude common /tmp contents
  * settings snippets are now mode 755

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 05 Feb 2021 19:45:39 +0100

aide (0.17.1-1) unstable; urgency=medium

  [ Marc Haber ]
  * new upstream version 0.17.1
  * adapt aide "metarules" to new cronjob tmp file location

  [ Hannes von Haugwitz ]
  * c.d/aide: adjust FILTERINSTALLATIONS/FILTERUPDATES to work with AIDE 0.17

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 31 Jan 2021 09:22:30 +0100

aide (0.17-3) unstable; urgency=medium

  * fix wrong line number in autopkgtest

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 28 Jan 2021 07:58:54 +0100

aide (0.17-2) unstable; urgency=medium

  * move to debhelper-compat 13
  * add hardening (does not seem to work for static aide)
  * remove aide-xen, add transitional package
  * pull aide-common dependencies to 0.17, the rules need the new parser
  * Have cron job limit line length (configurable, default 998)
    (Closes: 882311)
  * have cron job handle early interruptions with a custom error message
    (Closes: 964965)
  * have daily cron job place temporary files in /var/tmp. Add more paranoia.
    (Closes: 791462)
  * ucf-helper is now in ucf, remove ucf-helper testsuite
  * re-enable whirlpool and document the need to --update
  * rule updates:
    * all rules should be restricted now. An unrestricted rule found in
      the package is a bug.
    * explicitly mention all deliberately unrestricted rules
    * some new rules and rule improvements from Zugschlus
    * some new rules and rule improvements from
      Paweł Tomulik. (Closes: #729202)
    * remove obsolete 31_aide_apt-file.
      Thanks to Niels Thykier (Closes: 815188)
    * remove obsolete all-comments ucf-conffiles
    * remove 31_aide_crack (identical to 31_aide_cracklib-runtime)
    * remove obsolete 31_aide_nagios2 and 31_aide_nagios3
    * remove obsolete 31_aide_tetex-bin
    * add documentation for 99_aide_root
    * fix syntax issues

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 27 Jan 2021 13:57:51 +0100

aide (0.17-1) unstable; urgency=medium

  [ Marc Haber ]
  * new upstream release 0.17
    * docs/manual.html was removed

  [ Hannes von Haugwitz ]
  * Add autopkgtests
  * Set Rules-Requires-Root to no
  * Remove obsolete d/aide-common.doc-base

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 24 Jan 2021 20:00:00 +0100

aide (0.16.2-87-g9804cf4-2) experimental; urgency=medium

  * fix buildd issues
  * libcap build depends for linux only
  * capabilities is linux-only
  * e2fslibs is now libext2fs

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 20 Jan 2021 15:03:40 +0100

aide (0.16.2-87-g9804cf4-1) experimental; urgency=medium

  * upstream development snapshot (0.17 release candidate)
    * patches no longer needed
    * workaround for issue #24 no longer needed
    * changes include:
      * new --dry-init option (Closes: #289174)
      * error messages are now reported in the correct
        line. Thanks to Marc Schiffbauer (Closes: #414268)
      * takes a lock on database_out
      * can be compiled without default configuration
      * Can include static and dynamic configuration
        from a directory. (Closes: #824036)
  * adapt aide.conf to the incompatible changes
  * aide-attributes does no longer exist
  * change aide.conf examples to file restrictions
  * configure --without-config-file and --disable-default-db
  * enable capabilities and Build-Depend on libcap
  * fix strange indents in debian/rules
  * Build-Depend on pkg-config
  * remove no longer needed aide.wrapper
  * remove no longer needed update-aide.conf
  * convert pl.po, sv.po, es.po, nl.po and fr.po to UTF-8
  * Standards-Version: 4.5.1 (no changes necessary)
  * improve debian/copyright (needs more work because of translations)
  * document incompatible changes in NEWS.Debian
  * add documentation about how to write good rules
  * adapt rules to new syntax:
    * 31_aide_amanda-server
    * 31_aide_apt
    * 31_aide_bind9
    * 31_aide_spamassassin
  * improve rules, add selection restrictions: (Closes: #977966)
    * 31_aide_anacron
    * 31_aide_apt
    * 31_aide_apt-cacher-ng
    * 31_aide_aptitude
    * 31_aide_atop
    * 31_aide_clamav-freshclam
    * 31_aide_clamav-unofficial-sigs
    * 31_aide_cron-apt
    * 31_aide_dbus
    * 31_aide_dehydrated
    * 31_aide_dpkg
    * 31_aide_etckeeper
    * 31_aide_exim4
    * 31_aide_haproxy
    * 31_aide_initramfs-tools
    * 31_aide_libvirt-bin
    * 31_aide_logcheck
    * 31_aide_lvm2
    * 31_aide_man
    * 31_aide_mlocate
    * 31_aide_php-common
    * 31_aide_runuser
    * 31_aide_samba
    * 31_aide_screen
    * 31_aide_spamassassin
    * 31_aide_sudo
    * 31_aide_udev
    * 31_aide_util-linux
    * 70_aide_run
    * 70_aide_tmp
  * new rules:
    * 10_aide_machineid
    * 21_aide_run_agetty
    * 31_aide_avahi-daemon
    * 31_aide_chrony
    * 31_aide_console-setup
    * 31_aide_dev
    * 31_aide_dmeventd
    * 31_aide_lldpd
    * 31_aide_locales
    * 31_aide_needrestart
    * 31_aide_network-manager
  * remove deprecation warnings:
    * 31_aide_apt (added with 0.14~rc3-1 in 2010)
  * some of these rule changes were submitted by
    Bill Wohler. Thank you very much! (closes: #683957)
  * fix wrong excludes of /proc and /sys. Thanks to
    Andreas Hasenack. (closes: #977680)


 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 18 Jan 2021 20:20:30 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog aide`.
